%global commit 465c412b297da98b6e7a8926644ebf5ecf2faeaf
%global shortcommit %(c=%{commit}; echo ${c:0:7})

Summary:        An improved cmd.py for Writing Multi-command Scripts and Shells
Name:           python-cmdln
Version:        2.0.0
Release:        2%{?dist}
Source0:        https://github.com/trentm/cmdln/archive/%{commit}/cmdln-%{version}-%{shortcommit}.tar.gz
License:        MIT
Group:          Development/Libraries
BuildRequires:  python-setuptools
BuildRequires:  python2-devel
BuildRequires:  python3-devel
URL:            https://github.com/trentm/cmdln
BuildArch:      noarch

%description
`cmdln.py` is an extension of Python's default `cmd.py` module that
provides "a simple framework for writing line-oriented command
interpreters".  The idea (with both cmd.py and cmdln.py) is to be able
to quickly build multi-sub-command tools (think cvs or svn) and/or
simple interactive shells (think gdb or pdb).  Cmdln's extensions make
it more natural to write sub-commands, integrate optparse for simple
option processing, and make having good command documentation easier.

%package doc
License:    MIT
Summary:    An improved cmd.py for Writing Multi-command Scripts and Shells
Group:      Development/Libraries
Requires:   %{name} = %{version}-%{release}

%description doc
`cmdln.py` is an extension of Python's default `cmd.py` module that
provides "a simple framework for writing line-oriented command
interpreters".  The idea (with both cmd.py and cmdln.py) is to be able
to quickly build multi-sub-command tools (think cvs or svn) and/or
simple interactive shells (think gdb or pdb).  Cmdln's extensions make
it more natural to write sub-commands, integrate optparse for simple
option processing, and make having good command documentation easier.

Documentation package.

%package -n python2-cmdln
License:    MIT
Summary:    An improved cmd.py for Writing Multi-command Scripts and Shells
Group:      Development/Libraries
%{?python_provide:%python_provide python2-cmdln}

%description -n python2-cmdln
`cmdln.py` is an extension of Python's default `cmd.py` module that
provides "a simple framework for writing line-oriented command
interpreters".  The idea (with both cmd.py and cmdln.py) is to be able
to quickly build multi-sub-command tools (think cvs or svn) and/or
simple interactive shells (think gdb or pdb).  Cmdln's extensions make
it more natural to write sub-commands, integrate optparse for simple
option processing, and make having good command documentation easier.

Python 2 compatible module.

%package -n python3-cmdln
License:    MIT
Summary:    An improved cmd.py for Writing Multi-command Scripts and Shells
Group:      Development/Libraries
%{?python_provide:%python_provide python3-cmdln}

%description -n python3-cmdln
`cmdln.py` is an extension of Python's default `cmd.py` module that
provides "a simple framework for writing line-oriented command
interpreters".  The idea (with both cmd.py and cmdln.py) is to be able
to quickly build multi-sub-command tools (think cvs or svn) and/or
simple interactive shells (think gdb or pdb).  Cmdln's extensions make
it more natural to write sub-commands, integrate optparse for simple
option processing, and make having good command documentation easier.

Python 3 compatible module.

%prep
%setup -q -n cmdln-%{version}

%build
export CFLAGS="%{optflags}"
%{__python2} setup.py build
%{__python3} setup.py build

%install
%{__python2} setup.py install \
   --prefix=%{_prefix} \
   --root=%{buildroot}

%{__python3} setup.py install \
   --prefix=%{_prefix} \
   --root=%{buildroot}

%files -n python2-cmdln
%license LICENSE.txt
%{python2_sitelib}/*

%files -n python3-cmdln
%license LICENSE.txt
%{python3_sitelib}/*

%files doc
%license LICENSE.txt
%doc README.md docs/* examples/*

%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0.0-2
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Wed Apr 20 2016 Andrea Veri <averi@fedoraproject.org> - 2.0.0-1
- New upstream release.
- Introduce a Python 3 package as upstream now supports it.

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.3.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Dec 08 2013 Andrea Veri <averi@fedoraproject.org> 1.3.0-2
- Remove [isa] from the -doc package requires, this is indeed a
  noarch package.

* Wed Dec 04 2013 Andrea Veri <averi@fedoraproject.org> 1.3.0-1
- First package release.
